@import common

// colors
$navy: #0b3a53
$navy-muted: #244e66
$aqua: #69c4cd
$aqua-muted: #9ad4db
$snow: #edf0f4
$snow-muted: #f7f8fa

// theme variables
\:root
  // ------------------------------ global
  --spacing: var( --size-2x )

  // ------------------------------ root
  --background: #{ $navy }

  // ------------------------------ close area
  --close-area-background: #{ rgba( $navy-muted, .7 ) }

  // ---------------------------------------------- loader
  --loader-background: #{ $navy-muted }
  --loader-color: #{ $aqua }

  // ------------------------------ main
  --content-background: #{ $navy-muted }
  --content-color: #{ $aqua }
  --content-color-highlight: #{ $aqua-muted }

  // ------------------------------ bar ( header / footer )
  --bar-size: var( --size-7x )
  --bar-font-size: var( --size-3x )

  --bar-background: #{ $navy }
  --bar-color: #{ $aqua-muted }

  --bar-button-hover-background: #{ rgba( $navy-muted, .3 ) } 
  --bar-button-hover-color: inherit

  // ------------------------------ button
  --disabled-background: #{ sun( .15 ) }
  --disabled-color: #{ rgba( $snow-muted, .42 ) }

  // ------------------------------ input
  --input-background: #{ sun() }
  --input-color: #{ $aqua-muted }

  --input-font-size: var( --size-3x )
  --input-height: var( --size-6x )

  --input-focus-background: #{ rgba( $aqua, .05 ) }
  --input-focus-color: #{ $aqua }

  // ------------------------------ list
  --collection-background: inherit
  --collection-color: #{ $aqua }

  --collection-size: var( --size-5x )
  --collection-font-size: var( --size-3x )

  --collection-button-background: inherit
  --collection-button-color: inherit
  --collection-button-hover-background: #{ rgba( $navy, .25 ) }
  --collection-button-hover-color: inherit

  --collection-item-odd-background: #{ sun( .07 ) }

  --collection-item-hover-background: #{ moon( .14 ) }
  --collection-item-hover-color: inherit

  // ------------------------------ breadcrumb
  --breadcrumb-clickable-background: #{ moon( .28 ) }
  --breadcrumb-current-background: #{ sun( .14 ) }
